Name:          fstrcmp
Version:       0.7.D001
Release:       1mamba
Summary:       A library that is used to make fuzzy comparisons of strings and byte arrays, including multi-byte character strings
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://fstrcmp.sourceforge.net/
Source:        http://fstrcmp.sourceforge.net/fstrcmp-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
The fstrcmp project provides a library that is used to make fuzzy comparisons of strings and byte arrays, including multi-byte character strings.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -d -m0755 %{buildroot}{%{_bindir},%{_libdir}/pkgconfig,%{_docdir}/fstrcmp,%{_includedir},%{_mandir}/{man1,man3}}
%makeinstall

chmod +x %{buildroot}%{_libdir}/lib*.so*

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/fstrcmp

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libfstrcmp.so.*
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/fstrcmp.h
%{_libdir}/libfstrcmp.a
%{_libdir}/libfstrcmp.la
%{_libdir}/libfstrcmp.so
%dir %{_datadir}/doc/fstrcmp
%{_datadir}/doc/fstrcmp/*.pdf
%{_mandir}/man1/fstrcmp.1.gz
%{_mandir}/man1/fstrcmp_license.1.gz
%{_mandir}/man3/fmemcmp.3*
%{_mandir}/man3/fmemcmpi.3*
%{_mandir}/man3/fstr*.3*
%{_mandir}/man3/fwcscmp.3*
%{_mandir}/man3/fwcscmpi.3*
%{_libdir}/pkgconfig/fstrcmp.pc
%doc README


%changelog
* Tue Mar 23 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.D001-1mamba
- package created using the webbuild interface
